﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfPicker.XForms;
using Xamarin.Forms;

namespace picker132913
{
    public partial class picker132913Page : ContentPage
    {
        public picker132913Page()
        {
            InitializeComponent();
            TimePicker.Parent = parentgrid;
            DatePicker.Parent = parentgrid;
            TimePicker.OkButtonClicked += TimePicker_OkButtonClicked;
            DatePicker.OkButtonClicked += DatePicker_OkButtonClicked;
            time.Focused += (sender, e) =>
			{
				Device.BeginInvokeOnMainThread(() =>
				{
                    time.Unfocus();
				});

                TimePicker.IsOpen = true;
			};
            date.Focused += (sender, e) =>
			{
				Device.BeginInvokeOnMainThread(() =>
				{
                    date.Unfocus();
				});

                DatePicker.IsOpen = true;
			};
        }

        void TimePicker_OkButtonClicked(object sender, Syncfusion.SfPicker.XForms.SelectionChangedEventArgs e)
        {
            var get = sender as SfPicker;
             var item = get.SelectedItem;
            var li = item as ObservableCollection<object>;
            time.Text = li[0].ToString() +":" +li[1].ToString() + " "+li[2].ToString();
        }

        void DatePicker_OkButtonClicked(object sender, Syncfusion.SfPicker.XForms.SelectionChangedEventArgs e)
        {
			var get = sender as SfPicker;
			var item = get.SelectedItem;
			var li = item as ObservableCollection<object>;
            date.Text = li[0].ToString() + "/" + li[1].ToString() + "/" + li[2].ToString();
        }
    }
}
